import request from '@/utils/request'

// 查询模型信息列表
export function listModelInfo(query) {
  return request({
    url: '/info/modelInfo/list',
    method: 'get',
    params: query
  })
}

// 查询模型信息详细
export function getModelInfo(modelId) {
  return request({
    url: '/info/modelInfo/' + modelId,
    method: 'get'
  })
}

// 新增模型信息
export function addModelInfo(data) {
  return request({
    url: '/info/modelInfo',
    method: 'post',
    data: data
  })
}

// 修改模型信息
export function updateModelInfo(data) {
  return request({
    url: '/info/modelInfo',
    method: 'put',
    data: data
  })
}

// 删除模型信息
export function delModelInfo(modelId) {
  return request({
    url: '/info/modelInfo/' + modelId,
    method: 'delete'
  })
}

// 导出模型信息
export function exportModelInfo(query) {
  return request({
    url: '/info/modelInfo/export',
    method: 'get',
    params: query
  })
}
